/*
 * Copyright (c) 2012, Endea.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package endea.html

import endea.http.Event
import endea.Entity
import endea.http.Controller

object Link {

  def write(event: Event[_], entity: Entity) {

    event.write("""<a href="""")
    event.write(Controller.encode(entity))
    event.write("""">""")
    event.write(entity.name)
    event.write("</a>")
  }
}